﻿@import url('https://fonts.googleapis.com/css?family=Titillium+Web&display=swap');

html,
body {
    font-family: 'Titillium Web', sans-serif !important;
}

.jumbotron {
    padding-top: 30px;
    padding-bottom: 30px;
    margin-bottom: 30px;
    color: inherit;
    background-color: white;
}

/* estilos del panel del footer*/
.panel-footer {
    padding: 5px 0px 0px 0px;
    background-color: transparent;
    border-top: 1px solid #ddd;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.msg_container {
    position: relative;
}


/*.msg_sent {
    background-color: #f1f0f0;
    color: #4b4f56;
}*/

.messages {
    /*border-radius: 12px !important;
    border: 1px solid #d3d3d3 !important;
    background: #fff;
    padding: 0 !important;*/
}

.messages p,
.messages .writing {
    /*color: #4b4f56;*/
    padding: 15px 25px;
    margin: 0;
    word-break: break-word;
}

.MessageReceiveCustom {
    margin-left: 2.8em;
    border-radius: 12px;
}

.avatar {
    position: absolute;
    bottom: 14px;
    left: 0;
}

.avatar::after {
    content: "";
    position: absolute;
    top: -6px;
    left: 44%;
    width: 0;
    height: 0;
    border: 6px solid #FFF;
    border-right-color: rgba(0, 0, 0, 0);
    border-top-color: rgba(0, 0, 0, 0);
    z-index: -1;
}

.avatarCabecera::after {
    content: "";
    position: absolute;
    top: -15px;
    left: 42%;
    width: 0;
    height: 0;
    border: 11px solid #FFF;
    border-right-color: rgba(0, 0, 0, 0);
    border-top-color: rgba(0, 0, 0, 0);
    z-index: -1;
}

.caption h5,
.caption h6 {
    line-height: 1.28em;
    text-overflow: ellipsis;
    white-space: pre-line;
    width: 100%;
    word-break: break-word;
    margin: 0.5em 0;
    padding: 0 10px;
}

.caption h5 {
    font-weight: 600;
    color: rgba(0, 0, 0, .9);
}

.caption h6 {
    color: rgba(0, 0, 0, .4);
}

.messages .btn {
    font-weight: 600;
    border-radius: 0;
    border: none;
    border-top: 1px solid #d3d3d3;
    background: white;
    padding: 10px 0;
}

.msg_container_base {
    background: transparent !important;
    padding: 15px 10px;
}

.messages .btn:last-child {
    border-bottom-left-radius: 12px !important;
    border-bottom-right-radius: 12px !important;
}

.messages div:first-child {
    /*background-color: transparent !important;*/
}

.panel-heading,
.top-bar {
    padding: 0 !important;
    background-color: #f5f5f5;
    /*border-left: 1px solid #d3d3d3;*/
}

.btn-primary {
    background-color: #008000 !important/* Debe ser el color parametrizado, que no se está parametrizando tampoco actualmente */
    ;
}

.panel-footer {
    border: none !important;
}

.caption-container {
    position: relative;
    display: block;
    /*padding: 4px;*/
    /*margin-bottom: 5px;*/
    height: 100%;
    width: 100%;
    line-height: 1.42857143;
    /*background-color: #fff;*/
    /*border: 1px solid #ddd;*/
    border-radius: 12px;
    -webkit-transition: border .2s ease-in-out;
    -o-transition: border .2s ease-in-out;
    transition: border .2s ease-in-out;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
}

#Burbujas {
    overflow: hidden;
    width: 85%;
    margin: 0 5px;
    /*height: 40px;*/
}

.quick-replies,
.quick-replies-img {
    vertical-align: middle;
    padding-top: 5px;
    padding-bottom: 10px;
    padding-right: 10px;
    height: 30px;
    border-radius: 2px;
}

.quick-replies-img {
    padding-left: 30px;
    background-size: 16px !important;
}

.quick-replies {
    padding-left: 10px;
}

.quick-reply {
    /*overflow-x: hidden;*/
    display: flex;
    padding-top: 2px;
    padding-bottom: 2px;
    vertical-align: middle;
    position: relative;
}

.messagesModif .fa-arrow-left,
.messagesModif .fa-arrow-right {
    background: white;
    width: 30px;
    height: 30px;
    border-radius: 6px;
    border: 1px solid #d3d3d3 !important;
    color: green;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2em;
}

.messagesModif {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

body {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    /*background: url(https://images.pexels.com/photos/450035/pexels-photo-450035.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940);*/
    /*background: url(https://images.pexels.com/photos/112782/pexels-photo-112782.jpeg?cs=srgb&dl=curlers-curly-hair-female-112782.jpg&fm=jpg);*/
    background: transparent;
    background-size: cover;
    background-position: center;
}

#DivContenedor {
    height: 100%;
    width: 100%;
    /*padding: 15px 10px;*/
}

#Contenedor2 {
    background: transparent;
}

.top-bar {
    background: transparent;
}

.emoji-wysiwyg-editor {
    max-width: none !important;
}

#message {
    padding: 20px 15px;
}

.quick-replies-container {
    margin: 0 auto;
}

.msg_receive .caption-container::before {
    content: "";
    position: absolute;
    bottom: 15px;
    left: -10px;
    border-bottom: 6px solid transparent;
}

.emojionearea .emojionearea-button {
    right: 35px !important;
}

.emojionearea.emojionearea-inline>.emojionearea-editor {
    margin-right: 40px;
}

/* estilos del contenedor del footer */
.copyright {
    text-align: right;
    font-size: 1rem;
    font-weight: bold;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 1);
    transition: all 300ms;
    background: #F2F2F2;
    padding: 0.5rem;
}

/* estilo de la imagen 'un producto de'*/
.footer-logo {
    width: 40vw;
    margin: 0 auto;
}

.company {
    font-style: oblique;
    transition: all 300ms;
    text-transform: uppercase;
}

.company:hover,
.company:active,
.company:focus {
    color: white;
}

.e-25 {
    width: 25px;
    height: 25px;
}

.e-20 {
    width: 20px;
    height: 20px;
}

.e-15 {
    width: 15px;
    height: 15px;
}

.reaction-button {
    position: absolute;
    top: 50%;
    right: -25px;
    transform: translateY(-40%);
    font-size: 1.7rem;
    color: white;
    opacity: .65;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 1);
    cursor: pointer;
}

.reaction-container {
    background: white;
    border-radius: 2px;
    width: 250px;
    height: 45px;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    visibility: hidden;
    opacity: 0;
    z-index: 99999;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 0px 30px;
}

.reaction-emoji {
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 50%;
    transition: all 150ms ease-in-out;
    cursor: pointer;
}

.reaction-emoji.current-reaction {
    filter: drop-shadow(-1px -1px 2px rgba(0, 0, 0, .2));
    -webkit-filter: drop-shadow(-1px -1px 2px rgba(0, 0, 0, .2));
}

.reaction-emoji.set-reaction:hover {
    transform: scale(1.2);
}

.reaction-emoji[data-emoji="inlove"] {
    background-image: url("/Imagenes/emojis/inlove.png");
}

.reaction-emoji[data-emoji="happy"] {
    background-image: url("/Imagenes/emojis/happy.png");
}

.reaction-emoji[data-emoji="surprise"] {
    background-image: url("/Imagenes/emojis/surprise.png");
}

.reaction-emoji[data-emoji="sad"] {
    background-image: url("/Imagenes/emojis/sad.png");
}

.reaction-emoji[data-emoji="angry"] {
    background-image: url("/Imagenes/emojis/angry.png");
}

.reaction-emoji[data-emoji="like"] {
    background-image: url("/Imagenes/emojis/like.png");
}

.reaction-emoji[data-emoji="dislike"] {
    background-image: url("/Imagenes/emojis/dislike.png");
}

.reaction-status {
    position: absolute;
    bottom: -5px;
    right: 10px;
}

.reaction-delete {
    width: 100%;
    height: 100%;
    position: absolute;
    background: rgba(255, 0, 0, 0.4);
    top: 0;
    left: 0;
    border-radius: 100px;
    opacity: 0;
    transition: all 300ms ease-in-out;
    z-index: 99999;
    cursor: pointer;
    text-align: center;
}

.reaction-delete:hover {
    opacity: 1;
}

.nav-actions {
    width: 100%;
    display: flex;
    align-items: center;
    /*position: relative;*/
    margin: 1rem 0;
    padding: 0 10px;
}

.nav-title {
    font-size: 1.5rem;
    font-weight: bold;
    text-shadow: 0 1px 2px rgba(0, 0, 0, 1);
    opacity: .65;
    margin-right: 1rem;
}

.nav-container {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    /*background: rgba(25, 172, 187, .6);*/
    padding: 0.5rem 1rem;
    box-sizing: content-box;
    border-radius: 2px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    /*border: 1px solid #19ACBB;*/
}

.nav-actions .action i {
    font-size: 2rem;
    cursor: pointer;
}

.nav-actions .action:not(:first-child) {
    margin-left: 1rem;
}

.nav-list {
    position: absolute;
    /*top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);*/
    z-index: 999999;
    width: 50vw;
    visibility: hidden;
    opacity: 0;
    transition: all 150ms ease-in-out;
}

.list-item-container {
    max-height: 75vh;
    overflow-y: auto;
}

.nav-list-active {
    /*box-shadow: 0 0 50px 10px rgba(0, 0, 0, .35);*/
    box-shadow: 2px 2px 15px 0 rgba(0, 0, 0, .25);
    visibility: visible;
    opacity: 1;
    border-radius: 4px;
    border: 1px solid #19ACBB;
}

.nav-list::after {
    content: "";
    position: absolute;
    top: -10px;
    left: 5px;
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-bottom: 10px solid rgba(25, 172, 187, 1);
}

.list-group-title {
    background: rgba(25, 172, 187, 1);
    border: 1px solid#19ACBB;
    color: #ffffff !important;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.close-list {
    cursor: pointer;
}

.writing {
    position: relative;
    width: 77px;
}

.msg_receive_writing {
    min-width: auto;
}

.writing span {
    position: relative;
    display: inline-block;
}

.writing span:not(:last-child) {
    margin-right: 1rem;
}

.writing i {
    font-size: .7rem;
    position: absolute;
}

.writing span:first-child i {
    animation: writing 800ms ease infinite 100ms;
    -webkit-animation: writing 800ms ease infinite 100ms;
    -moz-animation: writing 800ms ease infinite 100ms;
}

.writing span:nth-child(2) i {
    animation: writing 800ms ease infinite 300ms;
    -webkit-animation: writing 800ms ease infinite 300ms;
    -moz-animation: writing 800ms ease infinite 300ms;
}

.writing span:last-child i {
    animation: writing 800ms ease infinite 500ms;
    -webkit-animation: writing 800ms ease infinite 500ms;
    -moz-animation: writing 800ms ease infinite 500ms;
}

#startButton {
    position: absolute;
    width: 50%;
    left: 50%;
    border-radius: 2px;
    text-align: center;
    padding: 15px 0;
    transform: translateX(-50%);
    cursor: pointer;
    bottom: 20px;
}

@keyframes writing {
    0% {
        margin-top: 0px;
    }
    25% {
        margin-top: -4px;
    }
    50% {
        margin-top: 0px;
    }
    100% {
        margin-top: 0px;
    }
}

@-webkit-keyframes writing {
    0% {
        margin-top: 0px;
    }
    25% {
        margin-top: -4px;
    }
    50% {
        margin-top: 0px;
    }
    100% {
        margin-top: 0px;
    }
}

@-moz-keyframes writing {
    0% {
        margin-top: 0px;
    }
    25% {
        margin-top: -4px;
    }
    50% {
        margin-top: 0px;
    }
    100% {
        margin-top: 0px;
    }
}

div#Burb .msg_receive {
    max-width: 100% !important;
}